import request from '@/utils/request'

//获取地图点位数据
export function getAreaLineInfo(data: any) {
    return request({
        url: '/event-boot/areaInfo/getAreaLineInfo',
        method: 'post',
        data
    })
}

// 获取区域未处理暂态事件
export function getNoDealEvents(data: any) {
    return request({
        url: '/event-boot/areaInfo/getNoDealEvents',
        method: 'post',
        data
    })
}

// 获取监测点下未处理的暂降事件
export function getNoDealEventsByLineId(params: any) {
    return request({
        url: '/event-boot/areaInfo/getNoDealEventsByLineId',
        method: 'get',
        params
    })
}